library aliyun_oss_platform_interface;

import 'package:aliyun_oss_platform_interface/method_channel_aliyun_oss.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class AliyunOSSPlatform extends PlatformInterface {
  AliyunOSSPlatform() : super(token: _token);

  static final Object _token = Object();

  static AliyunOSSPlatform _instance = MethodChannelAliyunOSS();
  static AliyunOSSPlatform get instance => _instance;

  static set instance(AliyunOSSPlatform instance) {
    PlatformInterface.verify(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('getPlatformVersion() has not been implemented.');
  }
}
